Bug 226903 - dns/bind912: fix build with libressl-devel
Summary: dns/bind912: fix build with libressl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL: https://gitlab.isc.org/isc-projects/b...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-24 23:27 UTC by Piotr Kubaj
Modified: 2018-06-08 13:28 UTC (History)
7 users (show)

See Also:
bugzilla: maintainer-feedback? (mat)


Attachments
patch (4.27 KB, patch)
2018-03-24 23:27 UTC, Piotr Kubaj
no flags Details | Diff
9.12.1P2 (10.95 KB, patch)
2018-05-23 02:29 UTC, Charlie Li
no flags Details | Diff
9.12.1P2 condensed (10.31 KB, patch)
2018-06-07 03:36 UTC, Charlie Li
ml+freebsd: maintainer-approval? (mat)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-03-24 23:27:09 UTC
Created attachment 191794 [details]
patch

LibreSSL 2.7 brings in new incompatibilities. This patch fixes build of bind912 with it.

Tested with both LibreSSL 2.7 and base OpenSSL 1.0.1.
Comment 1 Mathieu Arnold freebsd_committer 2018-03-26 09:37:27 UTC
Has this been submitted upstream?
Comment 2 Piotr Kubaj freebsd_committer 2018-03-26 15:25:13 UTC
(In reply to Mathieu Arnold from comment #1)
Not yet, I currently have a lot of things on my TODO list and just trying to empty it.
Comment 3 Bernard Spil freebsd_committer 2018-04-28 19:48:39 UTC
This problem has been reported upstream on 2018-04-17
https://gitlab.isc.org/isc-projects/bind9/issues/210
Comment 4 tjlegg 2018-05-09 02:00:39 UTC
(In reply to Bernard Spil from comment #3)
Patches were merged upstream 5 days ago.
https://gitlab.isc.org/isc-projects/bind9/merge_requests/234

Looks like the commiter for those patches is also responsible for a bug report back to libressl that helped bump it from 2.7.2 to 2.7.3
https://github.com/libressl-portable/openbsd/commit/44408c1c543908b1be2fcf50ea578d2ddc052cc2
Comment 5 Charlie Li 2018-05-23 01:19:00 UTC
Looks like not even the upstream, merged patch has made it to 9.12.1P2.
Comment 6 Charlie Li 2018-05-23 02:29:01 UTC
Created attachment 193625 [details]
9.12.1P2

This patch incorporates what upstream merged but didn't make into 9.12.1P2, the current version in the ports tree. Passes testport.
Comment 7 Mathieu Arnold freebsd_committer 2018-06-05 14:42:56 UTC
Mmmm, could you provide only one patch file that will patch all the required files? It will be easier to remove once it is not needed any more.
Comment 8 Charlie Li 2018-06-07 03:36:15 UTC
Created attachment 194059 [details]
9.12.1P2 condensed

Also includes the original commit messages. The "third" commit was a changelog that would not apply cleanly for rather obvious reasons.
Comment 9 commit-hook freebsd_committer 2018-06-08 13:28:45 UTC
A commit references this bug:

Author: mat
Date: Fri Jun  8 13:28:14 UTC 2018
New revision: 471999
URL: https://svnweb.freebsd.org/changeset/ports/471999

Log:
  Fix build with LibreSSL 2.7.

  PR:		226903
  Submitted by:	Charlie Li
  Reported by:	Piotr Kubaj
  Sponsored by:	Absolight

Changes:
  head/dns/bind912/files/patch-libressl2.7